Subject: bug#62630: 27.1; Emacs is unable to open some jar files

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Apr 2023 16:52:20 +0300

> From: Steinar Bang <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 03 Apr 2023 08:27:32 +0200
> 
> The offending config was the following in my ~/.emacs:
> 
> ;; editorconfig formatting support
> ;;;================================
> (when (locate-library "editorconfig")
>   (editorconfig-mode 1))
> 
> editorconfig is a minor mode that makes emacs respect formatting
> settings found in .editorconfig files at the top of projects, making
> emacs respect the same formatting settings as e.g. IntelliJ IDEA and
> Eclipse.
>  https://github.com/editorconfig/editorconfig-emacs
> 
> And all of the projects that contains .jar files that have failed to
> open correctly have .editorconfig files on the top.
> 
> Removing the .editorconfig file on the top of the project with the
> failing jar files removed the problem.
> 
> I bisected the .editorconfig file and found that the offending line was: https://github.com/steinarb/modelstore/blob/master/.editorconfig#L7
> 
> I.e:
> charset = utf-8

Yes, see my other message in this discussion.

I guess we can now close this bug, as there's no Emacs bug here?